crime <- read.csv(file.choose(), fileEncoding="UTF-8-BOM")  #select the csv file, ignore this line in FME Workbench, R console specific

install.packages("ggmap")  #installs ggmap, ignore this line in FME WOrkbench, R console specific


#Copy the following code into the RCaller in FME Workbench, uncomment the appropriate lines. 


library(ggmap) #loads ggmap

crime <- subset(crime, TYPE == "Theft of Bicycle")  #subsets crime table for the TYPE Theft of Bicycle

bounding_box <- c(bottom  = 49.2,
                 top     = 49.4,
                 left    = -123.2,
                 right   = -123.0)  #sets the area of interest bounding box in lat/long 
 
HeatMap <- get_stamenmap(sac_borders, maptype="toner", zoom=10)#sets the base map to the free Stamen Maps

ggmap(HeatMap) + geom_point(aes(x=crime$X, y=crime$Y), data=crime, alpha=.5, color="red", size=3, shape=".") + #creates the crime points
  stat_density2d(data = crime,
                 aes(x = crime$X, y = crime$Y, fill= ..level.., alpha= 0.5), size = 0.01,  #creates the heat map
                 bins = 30, geom = "polygon") + scale_fill_gradient(low = "green", high = "red") +
  facet_wrap(~ YEAR) + #creates a map for each year then facets them
  ggtitle("Theft of Bicycle") #title of the map

#uncomment the correct line for your operating system. 
#ggsave("/Users/username/Desktop/CrimeFrom2012-2017.png") #Mac OS save location - change username to your actual username
#ggsave("C:/Users/username/Desktop/CrimeFrom2012-2017.png") #Windows save location - change username to your actual username, also note the direction of the slashes

#fmeOutput<-data.frame(1)   #ignore this line in R Console, specific to FME Workbench. 
